%define lcms2_major	2
%define libname		%mklibname lcms2_ %{lcms2_major}
%define devname		%mklibname -d lcms2

Name:		lcms2
Version:	2.5
Release:        %mkrel 1
Summary:	Color Management Engine
License:	MIT
Group:		Graphics/Utilities
URL:		http://www.littlecms.com/
Source0:	http://www.littlecms.com/%{name}-%{version}.tar.gz
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%files
%doc AUTHORS COPYING
%{_bindir}/jpgicc2
%{_bindir}/linkicc2
%{_bindir}/psicc2
%{_bindir}/tificc2
%{_bindir}/transicc2
%{_mandir}/man1/*

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Conflicts:	%{mklibname lcms2 2} < 2.2-2

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_libdir}/liblcms2.so.%{lcms2_major}*

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for LittleCMS
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.2-2

%description -n %{devname}
Development files for LittleCMS.

%files -n %{devname}
%doc doc/*.pdf
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--program-suffix=2

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%check
make check

%install
%makeinstall_std

# Remove .la files
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

install -D -m 644 include/lcms2.h %{buildroot}%{_includedir}/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{_includedir}/lcms2_plugin.h


%changelog
* Thu Aug 01 2013 oden <oden> 2.5-1.mga3
+ Revision: 462087
- add the tar ball as well
- 2.5
- P0: taken from a diff between openjdk-icedtea-2.3.9 and openjdk-icedtea-2.3.10

* Thu Jan 24 2013 fwang <fwang> 2.4-3.mga3
+ Revision: 391798
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 2.4-1.mga3
+ Revision: 294293
- new version 2.4

* Tue Jan 03 2012 fwang <fwang> 2.3-1.mga2
+ Revision: 189776
- new version 2.3

* Fri Dec 23 2011 fwang <fwang> 2.2-4.mga2
+ Revision: 186529
- rebuild for new libtiff

* Wed Jul 13 2011 mikala <mikala> 2.2-3.mga2
+ Revision: 123706
- Add missing group (mga #2137)

* Wed Jul 06 2011 wally <wally> 2.2-2.mga2
+ Revision: 119397
- fix libification
- clean .spec a bit

* Wed Jun 22 2011 mikala <mikala> 2.2-1.mga2
+ Revision: 112465
- imported package lcms2

